%define __os_install_post %{nil}

%define _requires_exceptions libffmpeg.so()(64bit)\\|libminigbm.so()(64bit)

%define debfile chromium_%{version}~linuxmint1+virginia_amd64.deb

Summary: Chromium Browser
Name: chromium-browser
Version: 124.0.6367.60
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: http://packages.linuxmint.com/pool/upstream/c/chromium/
Source0: chromium
Source1: master_preferences
Source2: initial_bookmarks.html
Vendor: Google Inc.
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoProv: no

%description
Chromium browser that aims to build a safer, faster, and more stable internet
browsing experience.


%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

cd $RPM_SOURCE_DIR
wget -nc http://packages.linuxmint.com/pool/upstream/c/chromium/%{debfile}

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{debfile} data.tar.xz | xz -d -9 | tar x -C %buildroot

# create symlink to libudev.so
ln -sL %{_libdir}/libudev.so.0 %buildroot/%{_prefix}/lib/chromium/libudev.so.0

#Our Preferences
install -m 0755 %SOURCE0 %buildroot/%{_bindir}/chromium
install -m 0644 %SOURCE1 %buildroot/%{_sysconfdir}/chromium/master_preferences
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/chromium/

%clean
rm -rf %buildroot

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}
%{_bindir}
%{_datadir}
%{_prefix}/lib

%changelog
* Sat Apr 20 2024 tex - 124.0.6367.60-1pclos2024
- new version

* Wed Apr 17 2024 tex - 123.0.6312.122-1pclos2024
- new version

* Thu Apr 11 2024 tex - 123.0.6312.86-1pclos2024
- new version

* Wed Mar 13 2024 tex - 122.0.6261.94-1pclos2024
- new version

* Thu Feb 15 2024 tex - 121.0.6167.160-1pclos2024
- new version

* Sun Feb 04 2024 tex - 121.0.6167.139-1pclos2024
- new version

* Wed Jan 31 2024 tex - 120.0.6099.224-1pclos2024
- new version
